# Poco::Net

# class ReadableNotification

Library: Net
Package: Reactor
Header: Poco/Net/SocketNotification.h

## Description

This notification is sent if a socket has become readable.

## Inheritance

Direct Base Classes: SocketNotification

All Base Classes: SocketNotification, Poco::Notification, Poco::RefCountedObject

## Member Summary

Inherited Functions: duplicate, name, referenceCount, release, socket, source

## Constructors

### ReadableNotification

ReadableNotification(
SocketReactor * pReactor
);

Creates the ReadableNotification for the given SocketReactor.

## Destructor

### ~ReadableNotification

~ReadableNotification();

Destroys the ReadableNotification.